Subject: bug#38494: 25.2.2 gpg error upon listing packages; auctex not located in repos

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 02 Aug 2020 12:14:10 +0200

Stuart Little <[email-masked]> writes:

> I'm running Ubuntu 18.04.3 LTS, with that distro's standard emacs distribution, 25.2.2.
>
> Problem: running
>
> M-x package-list-packages
>
> results in a gpg error:
>
> --- cut here ---
>
> Failed to verify signature archive-contents.sig:
> No public key for 066DAFCB81E42C40 created at 2019-12-02T18:00:02-0500 using RSA
> Command output:
> gpg: Signature made Mon 02 Dec 2019 06:00:02 PM EST
> gpg:                using RSA key C433554766D3DDC64221BFAA066DAFCB81E42C40
> gpg: Can't check signature: No public key
>
> --- done ---

I can reproduce this on an 18.04 LTS.  emacs -Q:

Failed to verify signature archive-contents.sig:
No public key for 066DAFCB81E42C40 created at 2020-08-02T09:05:02+0000 using RS\
A
Command output:
gpg: Signature made Sun Aug  2 09:05:02 2020 UTC
gpg:                using RSA key C433554766D3DDC64221BFAA066DAFCB81E42C40
gpg: Can't check signature: No public key

But I vaguely recall that there was something about an expiring key that
made things not work?  In that case, there isn't much to be done here.

Does anybody remember?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no